
local _, latency = ...
local lbl = MILLISECONDS_ABBR
latency.obj = LibStub("LibDataBroker-1.1"):NewDataObject("Latency", {type = "data source", value = "0", suffix = lbl, text = "0"..lbl})
LibStub("AceTimer-3.0"):Embed(latency)

function latency.obj.OnTooltipShow(tooltip)
	if not tooltip or not tooltip.AddLine then return end

	local _, _, home, world = GetNetStats()
	tooltip:AddLine(MAINMENUBAR_LATENCY_LABEL:format(home, world), 0, 1, 1)
end

function latency:Update()
	local _, _, l = GetNetStats()
	self.obj.text = l..lbl
	self.obj.value = l
end

latency:ScheduleRepeatingTimer("Update", 30)
latency:ScheduleTimer("Update", 4)

